Package com.google.javascript.jscomp

# Class SourceMap

java.lang.Object
com.google.javascript.jscomp.SourceMap

public class SourceMap extends Object
Collects information mapping the generated (compiled) source back to its original source for debugging purposes.

See Also:
  - `CodeConsumer`
  - `CodeGenerator`
  - `CodePrinter`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`SourceMap.DetailLevel`
Source maps can be very large different levels of detail can be specified.
`static enum`
`SourceMap.Format`
`static class`
`SourceMap.LocationMapping`

## Method Summary

Modifier and Type
Method
Description
`void`
`addMapping(Node node, FilePosition outputStartPosition, FilePosition outputEndPosition)`
`void`
`appendTo(Appendable out, String name)`
`void`
`reset()`
`void`
`setPrefixMappings(List<SourceMap.LocationMapping> sourceMapLocationMappings)`
`void`
`setStartingPosition(int offsetLine, int offsetIndex)`
`void`
`setWrapperPrefix(String prefix)`
`void`
`validate(boolean validate)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### addMapping

public void addMapping(Node node, FilePosition outputStartPosition, FilePosition outputEndPosition)

### appendTo

public void appendTo(Appendable out, String name) throws IOException

Throws:
  `IOException`

### reset

public void reset()

### setStartingPosition

public void setStartingPosition(int offsetLine, int offsetIndex)

### setWrapperPrefix

public void setWrapperPrefix(String prefix)

### validate

public void validate(boolean validate)

### setPrefixMappings

public void setPrefixMappings(List<SourceMap.LocationMapping> sourceMapLocationMappings)

Parameters:
  `sourceMapLocationMappings` -